Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface AblePlatformServiceEventListener

All Superinterfaces:
  java.util.EventListener, java.rmi.Remote

All Known Implementing Classes:
  AblePlatformServiceEventListenerProxy

public interface AblePlatformServiceEventListener
extends java.rmi.Remote, java.util.EventListener

This interface specifies the means by which service event listeners can accept AblePlatformServiceEvents from service event generators for processing.

Method Summary
`void` | `handleAblePlatformServiceEvent(AblePlatformServiceEvent theAblePlatformServiceEvent)` Handles (receives and processes) a service event delivered from a service event generator with which the implementing class has registered.

Method Detail

### handleAblePlatformServiceEvent

    public void handleAblePlatformServiceEvent(AblePlatformServiceEvent theAblePlatformServiceEvent)
                                        throws java.rmi.RemoteException

  Handles (receives and processes) a service event delivered from a service event generator with which the implementing class has registered.

  Parameters:
    `theAblePlatformServiceEvent` - An event arriving from a service event generator with which the implementor has registered.

  Throws:
    `java.rmi.RemoteException`
  See Also:
    `AblePlatformServiceEventGenerator.addAblePlatformServiceEventListener(AblePlatformServiceEventListener)`, `AblePlatformServiceEventGenerator.removeAblePlatformServiceEventListener(AblePlatformServiceEventListener)`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005